Security Enhanced Linux Reference Policy

# Layer: system

## Module: sysnetwork

Tunables Interfaces

### Description:

Policy for network configuration: ifconfig and dhcp client.

### Tunables:

dhcpc_manage_samba

##### Default value

false

##### Description

Determine whether DHCP client can manage samba

Return

### Interfaces:

sysnet_create_config( domain )

##### Summary

Create network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_create_netns_dirs( domain )

##### Summary

Create the /run/netns directory with an automatic type transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_dbus_chat_dhcpc( domain )

##### Summary

Send and receive messages from dhcpc over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_delete_dhcpc_runtime_files( domain )

##### Summary

Delete the dhcp client runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_delete_dhcpc_state( domain )

##### Summary

Delete the dhcp client state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_dhcp_state_filetrans( domain , file_type , object_class , name )

##### Summary

Create DHCP state data.

##### Description

Create DHCP state data.

This is added for DHCP server, as the server and client put their state files in the same directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
file_type | The type of the object to be created
object_class | The object class.
name | The name of the object being created.

sysnet_dns_name_resolve( domain )

##### Summary

Perform a DNS name resolution.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_domtrans_dhcpc( domain )

##### Summary

Execute dhcp client in dhcpc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

sysnet_domtrans_ifconfig( domain )

##### Summary

Execute ifconfig in the ifconfig domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

sysnet_dontaudit_read_config( domain )

##### Summary

Do not audit attempts to read network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

sysnet_dontaudit_rw_dhcpc_dgram_sockets( domain )

##### Summary

Do not audit attempts to read/write to the dhcp unix datagram socket descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

sysnet_dontaudit_rw_dhcpc_udp_sockets( domain )

##### Summary

Do not audit attempts to read and write dhcpc udp socket descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

sysnet_dontaudit_rw_dhcpc_unix_stream_sockets( domain )

##### Summary

Do not audit attempts to read/write to the dhcp unix stream socket descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

sysnet_dontaudit_use_dhcpc_fds( domain )

##### Summary

Do not audit attempts to use the dhcp file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

sysnet_etc_filetrans_config( domain , name )

##### Summary

Create files in /etc with the type used for the network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
name | The name of the object being created.

sysnet_exec_ifconfig( domain )

##### Summary

Execute ifconfig in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_kill_dhcpc( domain )

##### Summary

Send a kill signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_list_netns_dirs( domain )

##### Summary

List files in the /run/netns directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_manage_config( domain )

##### Summary

Create, read, write, and delete network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_manage_dhcpc_runtime_files( domain )

##### Summary

Create, read, write, and delete dhcp client runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_mmap_config_files( domain )

##### Summary

Map network config files.

##### Description

Allow the specified domain to mmap the general network configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_mmap_read_config( domain )

##### Summary

map network config files.

##### Description

Allow the specified domain to mmap the general network configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_netns_filetrans( domain , private type , object , name )

##### Summary

Create an object in the /run/netns directory with a private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private type | The type of the object to be created.
object | The object class of the object being created.
name | The name of the object being created.

sysnet_read_config( domain )

##### Summary

Read network config files.

##### Description

Allow the specified domain to read the general network configuration files. A common example of this is the /etc/resolv.conf file, which has domain name system (DNS) server IP addresses. Typically, most networking processes will require the access provided by this interface.

Higher-level interfaces which involve networking will generally call this interface, for example:

- sysnet_dns_name_resolve()

- sysnet_use_ldap()

- sysnet_use_portmap()

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_read_dhcp_config( domain )

##### Summary

Read the DHCP configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_read_dhcpc_runtime_files( domain )

##### Summary

Read dhcp client runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_read_dhcpc_state( domain )

##### Summary

Read dhcp client state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_read_netns_files( domain )

##### Summary

Read files in the /run/netns directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_relabel_config( domain )

##### Summary

Relabel network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_run_dhcpc( domain , role )

##### Summary

Execute DHCP clients in the dhcpc domain, and allow the specified role the dhcpc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

sysnet_run_ifconfig( domain , role )

##### Summary

Execute ifconfig in the ifconfig domain, and allow the specified role the ifconfig domain, and use the caller's terminal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

sysnet_runtime_filetrans_config( domain , object , name )

##### Summary

Create files in /run with the type used for the network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object | The object class of the object being created.
name | The name of the object being created.

sysnet_rw_dhcp_config( domain )

##### Summary

Read and write dhcp configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_search_dhcp_state( domain )

##### Summary

Search the DHCP state data directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_search_dhcpc_state( domain )

##### Summary

Search the DHCP client state directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_setattr_config( domain )

##### Summary

Set the attributes of network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_sigchld_dhcpc( domain )

##### Summary

Send a SIGCHLD signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_signal_dhcpc( domain )

##### Summary

Send a generic signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_signal_ifconfig( domain )

##### Summary

Send a generic signal to ifconfig.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_signull_dhcpc( domain )

##### Summary

Send a null signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_signull_ifconfig( domain )

##### Summary

Send null signals to ifconfig.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_sigstop_dhcpc( domain )

##### Summary

Send a SIGSTOP signal to the dhcp client.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_use_ldap( domain )

##### Summary

Connect and use a LDAP server.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_use_portmap( domain )

##### Summary

Connect and use remote port mappers.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_watch_config_dir( domain )

##### Summary

Watch a network config dir

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_watch_config_dirs( domain )

##### Summary

Watch a network config dir

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_watch_sb_netns_dirs( domain )

##### Summary

Watch the /run/netns directory for superblock changes

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_watch_with_perm_netns_dirs( domain )

##### Summary

Watch the /run/netns directory with fanofiy masks

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sysnet_write_config( domain )

##### Summary

Write network config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return